ENT.Type = "anim"

ENT.Base = "base_follower"

ENT.RenderGroup = RENDERGROUP_TRANSLUCENT

ENT.AutomaticFrameAdvance = true 



function ENT:Initialize()



	self.ModelString = 'models/zombie/classic_torso.mdl'

	self.ModelScale = 0.5

	self.Particles = "lamar_blood"

	

	self.BaseClass.Initialize( self )

	

	if SERVER then

		self:Fo_AddRandomSound( "npc/zombie/zombie_alert1.wav", 100, 100 )

		self:Fo_AddRandomSound( "npc/zombie/zombie_die1.wav", 100, 100 )

		self:Fo_AddRandomSound( "npc/zombie/zombie_voice_idle1.wav", 100, 100 )

	end

	

end



function ENT:Fo_UpdatePet( speed, weight )



	local sequence = self:LookupSequence( "Idle01" )

	if ( weight >= 1 ) then

		sequence = self:LookupSequence( "Crawl" )

	end

	self:SetPlaybackRate( 1 )

	self:ResetSequence(sequence)



end